Subject: devel-digest V2 #178
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Sunday, May 23 1999           Volume 02 : Number 178

In this issue:

    Re: some differences (may be slightly off-topic)
    Re: someday I'll have a working netwinder again
    Re: some differences (may be slightly off-topic)
    2.2.9 out
    Re: HCC & NetWinder
    Re: My memory sucks...RH6?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Sat, 22 May 1999 09:33:14 +0100 (BST)
From: Russell King <[email-masked]>
Subject: Re: some differences (may be slightly off-topic)

Alex Holden writes:
> I found exactly the opposite behaviour. Esound was unusable with the Acorn
> FPE but fine with the NWFPE. NWFPE seems to be noticably faster for most
> things (also, a benchmark I tried managed nearly a MFlop with NWFPE, but
> it was too slow to register with the Acorn FPE).

Now that is interesting.  It seems that you can get totally different
results depending on the benchmark you use.  For example, the byte
benchmarks clock in at (each run over 10 seconds), calculating the
result from the following each loop:

	    101
	sum {	i*i/(i*i-1)
	    i=2
	it also does a little extra addition at the end...

Acorn FPE, double precision:	26907 loops
Acorn FPE, single precision:	28525 loops

NWFPE, double precision:	5121 loops
NWFPE, single precision:	8230 loops

The byte benchmarks were compiled using the old gcc-2.7.2.2 compiler.
The kernel is 2.2.9, NWFPE compiled in, with gcc-2.7.2.2 again.  The
code used for the double is:

0000817c <_dumb_stuff+4> e92dd800       stmdb   sp!, {fp, ip, lr, pc}
00008180 <_dumb_stuff+8> e24cb004       sub     fp, ip, #4
00008184 <_dumb_stuff+c> ee00b188       mvfd    f3, #0.0
00008188 <_dumb_stuff+10> e3a03002      mov     r3, #2
0000818c <L13> ee023190 fltd    f2, r3
00008190 <L13+4> ee121182       mufd    f1, f2, f2
00008194 <L13+8> ee210189       sufd    f0, f1, #1.0
00008198 <L13+c> ee410180       dvfd    f0, f1, f0
0000819c <L13+10> ee033180      adfd    f3, f3, f0
000081a0 <L13+14> e2833001      add     r3, r3, #1
000081a4 <L13+18> e3530065      cmp     r3, #65
000081a8 <L13+1c> dafffff7      ble     0000818c <L13>
000081ac <L13+20> ee020181      adfd    f0, f2, f1
000081b0 <L13+24> ee000183      adfd    f0, f0, f3
000081b4 <L13+28> ee100170      fixz    r0, f0
000081b8 <L13+2c> e95ba800      ldmdb   fp, {fp, sp, pc}^

for the single, just change the 'd' suffix to 's'.

> I was told this was due
> to the Acorn FPE doing all the calculations internally at the highest
> accuracy, where the NWFPE only uses as much accuracy as was needed for any
> given calculation...

Looking at the AcornFPE's code for adf, suf and rsf, it seems to be highly
optimised - the code to do this is only 54 instructions (executed) if both
numbers are within the extended precision size, 101 instructions total
length otherwise.  Incidentially, none of these instructions are loads.
Both these do not include the rounding modes.

NWFPE's double precision subtraction only (subFloat32Sigs) is 337
instructions, and I do not think these include the rounding mode code
either.  There is another routine of similar size for addition.

Which kernel were you using?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sat, 22 May 1999 12:00:41 -0400
From: Alan Kitty <[email-masked]>
Subject: Re: someday I'll have a working netwinder again

This is a multi-part message in MIME format.
- --------------A6B31DC0439D715DE4F53359
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Chris, when did you buy your NW? (ref: stability issue)

AlanK
[email-masked]

Chris Garrigues wrote:

> > From:  "Andrew E. Mileski" <[email-masked]>
> > Date:  Fri, 21 May 1999 15:36:08 -0400
> >
> > Errr...ummm...check:
> >    firmware    Should be current, and then do a load-defaults and save-all
> >    /etc/fstab  Should be correct
> >    /etc/mtab   Should be null before a boot
> >    /home       Should exist
> >    /proc       Should exist
> > I'll need more info if it's not one of these.
>
> It was the /etc/mtab.  Since I cloned the entire filesystem off my netbooted
> filesystem, it had that junk in it.  Clearing it out solved the problem.  Once
> again I have a bootable netwinder.  Thanks for the help.
>
> Now I have to figure out what to do with it.  Originally I was using it as a
> co-located box, but I've since realized that it isn't quite stable enough for
> that, plus it has all this neat hardware in it, so I'm thinking that I'll put
> my LCD monitor on it and put it in the livingroom to impress all my non-geek
> friends with how cool it looks.
>
> Chris
>
> --
> Chris Garrigues                 virCIO
> +1 512 432 4046                 4314 Avenue C                    O-
> http://www.DeepEddy.Com/~cwg/   Austin, TX  78751-3709
>                                 +1 512 374 0500
>
>   My email address is an experiment in SPAM elimination.  For an
>   explanation of what we're doing, see http://www.DeepEddy.Com/tms.html
>
>     Nobody ever got fired for buying Microsoft,
>       but they could get fired for relying on Microsoft.
>
>   ------------------------------------------------------------------------
>
>    Part 1.2   Type: application/pgp-signature

- --------------A6B31DC0439D715DE4F53359
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Alan Kitty
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Alan Kitty
n:              Kitty;Alan
org:            LinkTank LLC
adr:            14 Viburnum Court;;;Lawrenceville;NJ;08648;United States
email;internet: [email-masked]
title:          President
tel;work:       609-219-9339
tel;fax:        609-896-0888
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

- --------------A6B31DC0439D715DE4F53359--

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sat, 22 May 1999 17:00:45 +0100 (GMT)
From: Alex Holden <[email-masked]>
Subject: Re: some differences (may be slightly off-topic)

On Sat, 22 May 1999, Russell King wrote:
> Now that is interesting.  It seems that you can get totally different
> results depending on the benchmark you use.  For example, the byte
> benchmarks clock in at (each run over 10 seconds), calculating the
> result from the following each loop:

Checking back through my old mail, the benchmark I used was "flops" (let
me know if you want me to send you a copy), the results for the Acorn FPE
were roughly 300-400KFlops (calculated by hand because the benchmark's
timer overflowed), and the results from the NWFPE were about 900KFlops. It
did seem a bit surprising to me as well, but Esound definitely did
suddenly start working properly when I changed to NWFPE, which it never
had done with the Acorn FPE. It was several months ago, so I was probably
using Corel's GCC 2.8.1 and one of the late 2.1 or 2.2pre kernels with
PhilB's patch for the NWFPE. I haven't bothered to get X running again
since I last put things back together after yet another failed Glibc
install (too busy with exams and Nano-X) so I haven't tried Esound
recently to see whether it still works okay with NWFPE, so I suppose it
could have been rewritten to use a different algorithm (which happens to
favour the Acorn FPE over the NWFPE) in the interim.

- --------------- Linux- the choice of a GNU generation. --------------
: Alex Holden (M1CJD)- Caver, Programmer, Land Rover nut, Radio Ham :
- -------------------- http://www.linuxhacker.org/ --------------------

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sat, 22 May 1999 16:26:14 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: 2.2.9 out

Ok, all.

2.2.9 is now on the ftp site.  Enjoy.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sat, 22 May 1999 12:57:10 -0400 (EDT)
From: "Jeff S. Warren" <[email-masked]>
Subject: Re: HCC & NetWinder

Yeah, but are they're not going to sell the Netwinder LC with a StrongARM
processor.  This was supposed to be the big thing.  Netwinder DM isn't
going to sell in huge numbers like the LC had the opportunity to.  If I
want a cheap Linux computer with an Intel processor, I'd get it from 
www.theLinuxStore.com

On Fri, 21 May 1999, Andrew E. Mileski wrote:

> Ash wrote:
> > I'm sure this has been covered before, but I've been away and not paying
> > attention to the lists.. what is the deal with HCC and the whole NetWinder
> > project? It looks like they're selling things on their website (rebel.com)
> > that are called NetWinders but aren't our favourite StrongARM-based
> > computers! Is the NetWinder project being cancelled in favor of silly
> > small intel machines? Ack!
> 
> Sure looks like we're selling them to me...
>   http://www.rebel.com/products/servertech/serv-net.htm
> probably other areas too, but that's the first one I stumbled on.
> 
> --
> Andrew E. Mileski - Software Engineer [OS Team Leader]
> Rebel.com  http://www.rebel.com/
> --
> This list is run automagically by Majordomo 1.94.4
> Please send email questions to [email-masked]
> To UNSUBSCRIBE: email [email-masked] with
> "unsubscribe devel" as the body of your message.
> 

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 23 May 1999 11:36:21 +1000
From: Anthony David <[email-masked]>
Subject: Re: My memory sucks...RH6?

> Date: Fri, 21 May 1999 17:29:51 -0400
> From: "Andrew E. Mileski" <[email-masked]>
> > > Build 14 was mostly based on rawhide, like RH 6.0 was, but also includes
> > > a lot more.
> > 
> > As long as dm-14 (and future images) still leaves *some* room on the disk
> > for us 820MB disk owners.
> 
> Sorry, no :(  The 2 GB maximum was imposed quite a while back, as the
> 500 MB, 800 MB, and 1 GB drives were discontinued.  The build 14 image
> is a hair under 1 GB uncompressed IIRC.

*sigh*. A tad inconvenient for a computer that is not upgradable.

> 
> It will be possible to make a minimum system that is about 90 MB or so
> uncompressed, then you could load on whatever you want.  Nobody really
> needs HOWTOs in 8 different languages, or emacs, after all :D
                                            ^^^^^
														 Gasp!! More proof
that there is a only one real way of delimiting Linix users. On one
side the are the users of the "one-true-editor" and on the other side
of the cavernous divide are those who would rather cover themselves in 
honey and saunter naked into the bear enclosure in the local Zoo. :-)

> 
> I wrote a utility, ftptar (for lack of a better name), that allows us to
> ftp and un-tar on the fly (no download space required).  This helps us
> stuff drives to the limit, and faster too (the S/RPM is in my home
> directory).
> 

I am not sure I understand. Is the disk image now a collection of tarballs?
Or shoud I just get ftptar and RTFD?

 Regards

- -- 
Anthony David               | Save Ferris
Anthony David & Associates  | Free Truman
http://adavid.netinfo.net/  | Redeem Londo
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #178
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.